
import moment from 'moment';

export default abstract class SmileGridFormatter {

    public static email(value: any, item: any): string {
        return '<code>' + value + '</code>';
    }

    public static toogleActionBtnFormatter(value: any, item: any): string {
        if (value) {
            return '<span class="success--text darken-2">ACTIVE</span> <button type="button" class="v-btn v-btn--small theme--light " ><div class="v-btn__content"> Deactivate </div></button>';
        } else {
            return '<span class="grey--text darken-2">DE-ACTIVE</span> <button type="button" class="v-btn v-btn--small theme--light success" ><div class="v-btn__content"> Active </div></button>';
        }
    }

    public static activeInactiveFormatter(value: any, item: any): string {


        const active = `
        <span tabindex="0" class="v-chip ml-0 v-chip--small theme--light green lighten-4">
        <span class="v-chip__content">
          active
        </span>
        </span>
        <button type="button" class="v-btn v-btn--small theme--light " ><div class="v-btn__content"> Deactivate </div></button>
        `;

        const inactive = `
        <span tabindex="0" class="v-chip ml-0 v-chip--small theme--light red lighten-4"><span class="v-chip__content">
          in-active
        </span></span>
        <button type="button" class="v-btn v-btn--small theme--light " ><div class="v-btn__content"> Activate </div></button>
        `;

        return value ? active : inactive;

    }


    public static toogleStatus(value: any, item: any): void {
        console.log('I am in SmileGridFormatter.toogleStatus');
    }



    public static dateTimeFormat(value: any, item: any) {
        return (value) ? moment(new Date(value)).format('Do MMM YY, h:mm:ss a') : '-';
    }

    public static dateFormat(value: any, item: any) {
        return (value) ? moment(new Date(value)).format('Do MMM YY') : '-';
    }

    public static fromNow(value: any, item: any) {
        if (value) {
            const fromNow = moment(value).fromNow();
            const dateFormatted = moment(new Date(value)).format('Do MMM YY, h:mm:ss a');
            return [
                          '<u data-toggle="tooltip" class="dotted" title="' + dateFormatted + '">' + fromNow + '</u>',
                      ].join('');
        } else {
            return '-';
        }

    }

    // public static humanize(value: any, item: any) {
    //    if (value) {
    //        const detailed = moment.duration(value / 1000, 'seconds').format('Y[y] M[m] D[d] H:mm:ss');
    //        const humanize = moment.duration(value).humanize();
    //        return [
    //               '<u data-toggle="tooltip" class="dotted" title=" ' + detailed + '">' + humanize + '</u>',
    //           ].join('');
    //    } else {
    //         return '-';
    //    }
    // }
}
